<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCommentPostsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('comment_posts', function (Blueprint $table) {
            $table->increments('id');

            $table->string('name', 555);
            $table->string('email', 355);
            $table->string('comment', 1000);
            $table->tinyInteger('approved')->default(1);
            $table->tinyInteger('moderate')->default(1);

            $table->integer('entry_id')->unsigned();
            $table->foreign('entry_id')
                ->references('id')
                ->on('entries')
                ->onDelete('cascade');

                
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('comment_posts');
    }
}
